Page MenuHomePhabricator

evas filter: Implement inverse color filter
ClosedPublic

Authored by kimcinoo on Oct 10 2019, 3:23 AM.

Details

Summary

This is the first version of inverse color filter both GL and SW.

Test Plan
  1. Create filter_example with following .

efl_gfx_filter_program_set(image, "inverse_color ()", "inverse color");

  1. Run.

./filter_example (Use ELM_ACCEL=gl for GL engine)

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
kimcinoo created this revision.Oct 10 2019, 3:23 AM
kimcinoo requested review of this revision.Oct 10 2019, 3:23 AM

Before and after of this patch

kimcinoo updated this revision to Diff 26094.Oct 14 2019, 4:27 AM

Add inverse color filter for sw engine

kimcinoo retitled this revision from evas filter: Implement inverse color filter in pure GL to evas filter: Implement inverse color filter.Oct 14 2019, 4:29 AM
kimcinoo edited the summary of this revision. (Show Details)
kimcinoo edited the test plan for this revision. (Show Details)
Hermet accepted this revision.Nov 4 2019, 8:17 AM
This revision is now accepted and ready to land.Nov 4 2019, 8:17 AM
This revision was automatically updated to reflect the committed changes.